<?php

namespace App\Generated\Controllers\V1;

use App\Http\Services\V1\CommonService;
use App\Http\Controllers\Controller;
use App\Generated\V1\Messages\Common\FaceDetectMessage;
use DB;

class CommonController extends Controller
{
    public $handler;

    public function __construct(CommonService $handler)
    {
        $this->handler = $handler;
    }

    public function faceDetect(FaceDetectMessage $message)
    {
        $message->validateInput();
        $this->handler->faceDetect($message);
        $message->validateOutput();
        return $message->getResponse();
    }

}
